Bug 56856 - Incorrect cell size in a 2 column table with resized pictures
Summary: Incorrect cell size in a 2 column table with resized pictures
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2012-11-08 07:12 UTC by Jon Grossart
Modified: 2021-08-10 03:48 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Document showing incorrect cell size (20.55 KB, application/vnd.oasis.opendocument.text)
2012-11-08 07:12 UTC, Jon Grossart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Grossart 2012-11-08 07:12:01 UTC
Created attachment 69676 [details]
Document showing incorrect cell size

I was making a document where I'm putting resized pictures into a table in order to make a row of figures. Since the pictures are too big, I'm resizing them down to fit the size I want.

If I use a > 2 column table, the pictures still fill the row I've placed them in, and everything works are expected. If I use a 2 column table, everything works as expected until both pictures are resized. After that, the cell row isn't sized to the pictures anymore and they float over the table.

Steps:
1) create a default 4x2 table
2) insert picture into each cell
3) resize each picture to 2" (keep ratio)
4) everything works

1) create a default 3x2 table
2) insert picture into each cell
3) resize each picture to 2" (keep ratio)
4) everything works

1) create a default 2x2 table
2) insert picture into each cell
3) resize each picture to 2" (keep ratio)
4) cell size doesn't match picture size

I've attached a document that shows the problem behavior. It is 100% reproducible.
Comment 1 Jon Grossart 2012-11-08 18:53:11 UTC
I verified it also happens in happens in Ubuntu 12.10 with LO 3.6.2.2.
Comment 2 Jorendc 2013-02-10 23:38:33 UTC
Thanks for reporting!

I can reproduce this behavior using Mac OSX 10.8.2 and LibreOffice Version 4.1.0.0.alpha0+ (Build ID: 042e4606a64233299fdc02d9df32329c452d96d)
TinderBox: MacOSX-Intel@3-OSX_10.6.0-gcc_4.0.1, Branch:master, Time: 2013-02-07_23:25:41.

Following [1] I mark this as 'minor medium'

Kind regards,
Joren

[1] https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 3 Jon Grossart 2013-07-30 21:37:18 UTC
Still not working in 4.1.0
Comment 4 Jon Grossart 2015-01-26 09:05:38 UTC
Still not working in 4.3.5
Comment 5 Jon Grossart 2015-12-20 22:45:30 UTC
Tested at present in LibO 5.0.4 (64-bit, Win10 64-bit).

Also tested LibO 3.3.0 and it was present.
Comment 6 QA Administrators 2017-01-03 19:54:57 UTC Comment hidden (obsolete)
Comment 7 Jon Grossart 2017-01-04 02:21:14 UTC
Still present in 5.2.4 x64 on Windows 10.
Comment 8 Jon Grossart 2017-06-05 19:20:55 UTC
Still present in 5.3.3 64-bit.
Comment 9 QA Administrators 2018-06-06 02:46:20 UTC Comment hidden (obsolete)
Comment 10 Jon Grossart 2019-08-10 08:09:25 UTC
Still present in 6.3.0.4.
Comment 11 QA Administrators 2021-08-10 03:48:39 UTC
Dear Jon Grossart,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug